//
//  GDBaseViewController.h
//  Strata
//
//  Created by Grant Davis on 5/13/10.
//  Copyright 2010 Factory Design Labs. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface GDBaseViewController : UIViewController {
	UITabBarController *_tabController;
	UINavigationController *_navController;
}

// init method for when this view controller is within a UINavigationController stack.
- (id)initWithNavigationController:(UINavigationController*)nav title:(NSString*)t;


// init method for when this view controller is a root controller of a UITabBarController
- (id)initWithTabController:(UITabBarController*)tabBar
					  title:(NSString*)t 
					tabIcon:(UIImage*)img 
					 andTag:(int)tag;

@end
