    //
//  GDBaseViewController.m
//  Strata
//
//  Created by Grant Davis on 5/13/10.
//  Copyright 2010 Factory Design Labs. All rights reserved.
//

#import "GDBaseViewController.h"

@implementation GDBaseViewController


- (id)initWithNavigationController:(UINavigationController*)nav title:(NSString*)t
{
	if( !(self = [self initWithNibName:nil bundle:nil])) return self;
	
	_navController = [nav retain];
	[self setTitle:t];
	return self;
}


- (id)initWithTabController:(UITabBarController*)tabBar
					  title:(NSString*)t 
					tabIcon:(UIImage*)img 
					 andTag:(int)tag
{
	if( !(self = [self initWithNibName:nil bundle:nil])) return self;
	
	_tabController = [tabBar retain];
	[self setTitle:t];
	self.tabBarItem = [[[UITabBarItem alloc] initWithTitle:t image:img tag:tag] autorelease];
	return self;	
}


- (void)dealloc {
	[_tabController release];
	[_navController release];
    [super dealloc];
}


@end
