//
//  HomeView.m
//  Strata
//
//  Created by Grant Davis on 5/6/10.
//  Copyright 2010 Factory Design Labs. All rights reserved.
//

#import "HomeView.h"
#import "Notifications.h"

@interface HomeView (Private)
- (void)handleClick;
@end



@implementation HomeView


- (id)initWithFrame:(CGRect)frame {
    if ((self = [super initWithFrame:frame])) {
        // Initialization code
		[self setBackgroundColor:[UIColor grayColor]];
		
		/*
		CALayer *box = [CALayer layer];
		[box setBackgroundColor:[[UIColor yellowColor]CGColor]];
		[box setFrame:CGRectMake(0, 0, 100, 100)];
		[self.layer addSublayer:box];
		*/
		
		
		UIButton *btn = [UIButton buttonWithType:UIButtonTypeRoundedRect];
		[btn setTitle:@"Go to subsection" forState:UIControlStateNormal];
		[btn setFrame:CGRectMake(10, 10, 300, 40)];
		[btn addTarget:self action:@selector(handleClick) forControlEvents:UIControlEventTouchUpInside];
		[self addSubview:btn];
		/*
		UIImageView *imgView = [[UIImageView alloc] initWithFrame:CGRectMake(0, 0, img.size.width, img.size.height)];
		[imgView setImage:img];
		[self addSubview:imgView];
		[imgView release];
		 */
		
		//UITextView txt = [UITextView alloc] initWithFrame:CGRectMake(0, 0, 65, 25);
		
		
    }
    return self;
}


- (void)handleClick
{
	[[NSNotificationCenter defaultCenter] postNotificationName:kGotoSubSection object:nil];
}

// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
	CGContextRef c = UIGraphicsGetCurrentContext();
	
	
	 // debug. Draw the line around our view. 
	 CGContextMoveToPoint(c, 0, 0);
	 CGContextAddLineToPoint(c, 0, self.frame.size.height);
	 CGContextAddLineToPoint(c, self.frame.size.width, self.frame.size.height);
	 CGContextAddLineToPoint(c, self.frame.size.width, 0);
	 CGContextAddLineToPoint(c, 0, 0);
	 CGContextSetStrokeColorWithColor(c, [[UIColor redColor] CGColor]);
	 CGContextStrokePath(c);
	 
}

- (void)dealloc {
    [super dealloc];
}


@end
