    //
//  ModalViewController.m
//  Strata
//
//  Created by Grant Davis on 5/13/10.
//  Copyright 2010 Factory Design Labs. All rights reserved.
//

#import "ModalViewController.h"
#import "ModalView.h"
#import "Notifications.h"


@implementation ModalViewController


// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
	
	[self setView: [[[ModalView alloc] initWithFrame:CGRectMake(0, 0, 320, 480)] autorelease] ];
	
	[[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(showModal) name:kShowModal object:nil];
}


- (void)showModal
{
	UIImagePickerController *modalController = [[[UIImagePickerController alloc] init] autorelease];
	[self presentModalViewController:modalController animated:YES];
}


- (void)dealloc {
    [super dealloc];
}


@end
