    //
//  UINavigationController+TabBar.m
//  Strata
//
//  Created by Grant Davis on 5/12/10.
//  Copyright 2010 Factory Design Labs. All rights reserved.
//

#import "UINavigationController+TabBar.h"


@implementation UINavigationController (TabBar)

- (id)initWithTitle:(NSString*)t 
			tabIcon:(UIImage*)img 
		navBarStyle:(UIBarStyle)style 
			 andTag:(int)tag
{
	if( !(self = [self initWithNibName:nil bundle:nil])) return self;
	
	[self setTitle:t];
	[self setTabBarItem:[[[UITabBarItem alloc] initWithTitle:t image:img tag:tag] autorelease]];
	[self.navigationBar setBarStyle:style];
	
	return self;
}


@end
